Subject: Re: [PATCH 0/5] RFC: for_each_revision() helper

From: "Luiz Fernando N. Capitulino" <[email-masked]>
Date: Fri, 27 Apr 2007 10:21:13 -0300

Em Thu, 26 Apr 2007 14:21:46 -0700
Junio C Hamano <[email-masked]> escreveu:

| "Luiz Fernando N. Capitulino" <[email-masked]>
| writes:
| 
| > Em Thu, 26 Apr 2007 13:57:23 -0700
| > Hermes Trismegisto <[email-masked]> escreveu:
| >
| > | Luiz Fernando N Capitulino <[email-masked]> writes:
| > | 
| > | >  [This' also a git-send-email test, so, if this fail by showing just
| > | >   the first e-mail in the series, do not blame me :)]
| > | 
| > | But if you changed your name to omit '.', that is not much of a
| > | test I suspect...
| >
| >  Yes, I did. But git-send-email is taking my name from the patches,
| > so the same problem happened.
| >
| >  I had to change my name in the patches to make it to work.
| 
| I know.  But my point of "changing your name is not much of a
| test" is that that was exactly what Robin Johnson's patches to
| quote CC: addresses that were taken from the sign-off lines in
| the proposed commit log message were meant to fix.
| 
| Specifically:
| 
| http://repo.or.cz/w/alt-git.git?a=commitdiff;h=732263d411fe2e3e29ee9fa1c2ad1a20bdea062c

 Okay.

 With the --dry-run option it became very easy to run tests,
so, I've changed everything back and tried to reproduce it
again:

-> First e-mail:

"""
Dry-OK. Log says:
Date: Fri, 27 Apr 2007 10:04:48 -0300
Sendmail: /usr/sbin/sendmail -i [email-masked] [email-masked]
From: "Luiz Fernando N. Capitulino" <[email-masked]>
Subject: [PATCH 0/5] RFC: for_each_revision() helper
Cc: [email-masked]
To: [email-masked]
"""

-> Last one (others are the same)

"""
Dry-OK. Log says:
Date: Fri, 27 Apr 2007 10:04:53 -0300
Sendmail: /usr/sbin/sendmail -i [email-masked] [email-masked] [email-masked]
From: "Luiz Fernando N. Capitulino" <[email-masked]>
Subject: [PATCH 5/5] builtin-log.c: Use for_each_revision() helper
Cc: [email-masked], "Luiz Fernando N. Capitulino" <[email-masked]>
To: [email-masked]
"""

 Looks like it's fixed, I'll submit this patch series again
shortly.

 BTW, Robin, can we have an option to read the introductory e-mail
from a file? It could read a Subject line from it too.

-- 
Luiz Fernando N. Capitulino